package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招生简章对象 mall_school_accept_rules
 *
 * @author lsm
 * @date 2023-10-19
 */
public class MallSchoolAcceptRules extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 招生简章 */
    private Long acceptRulesId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 标题 */
    @Excel(name = "标题")
    private String rulesTitle;

    /** 内容 */
    @Excel(name = "内容")
    private String rulesContent;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 显示状态(0-正常,1-显示) */
    @Excel(name = "显示状态(0-正常,1-显示)")
    private Integer displayStatus;

    /** 年份 */
    private String rulesYear;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    /** 浏览量 */
    private Integer view;

    public Integer getView() {
        return view;
    }

    public void setView(Integer view) {
        this.view = view;
    }

    public void setAcceptRulesId(Long acceptRulesId)
    {
        this.acceptRulesId = acceptRulesId;
    }

    public Long getAcceptRulesId()
    {
        return acceptRulesId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setRulesTitle(String rulesTitle)
    {
        this.rulesTitle = rulesTitle;
    }

    public String getRulesTitle()
    {
        return rulesTitle;
    }
    public void setRulesContent(String rulesContent)
    {
        this.rulesContent = rulesContent;
    }

    public String getRulesContent()
    {
        return rulesContent;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setDisplayStatus(Integer displayStatus)
    {
        this.displayStatus = displayStatus;
    }

    public Integer getDisplayStatus()
    {
        return displayStatus;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getRulesYear() {
        return rulesYear;
    }

    public void setRulesYear(String rulesYear) {
        this.rulesYear = rulesYear;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("acceptRulesId", getAcceptRulesId())
            .append("schoolId", getSchoolId())
            .append("rulesTitle", getRulesTitle())
            .append("rulesContent", getRulesContent())
            .append("sort", getSort())
            .append("displayStatus", getDisplayStatus())
            .append("rulesYear", getRulesYear())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
